commit:     0939970046ae25e079f7b6eef39bdd1d3328387b
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue May 26 16:24:25 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue May 26 16:30:48 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=09399700

app-cdr/dolphin-plugins-mountiso: New package

Upstream commits:
f7f2f62606f8cfa87ec23d5924b70d4b419234e1
f6f1a4808a8ff8e19b3f434479c473f4f9b48d07

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../dolphin-plugins-mountiso-9999.ebuild           | 65 ++++++++++++++++++++++
 app-cdr/dolphin-plugins-mountiso/metadata.xml      |  8 +++
 2 files changed, 73 insertions(+)

diff --git 
a/app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-9999.ebuild 
b/app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-9999.ebuild
new file mode 100644
index 0000000000..7327c4ffb6
--- /dev/null
+++ b/app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-9999.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="false"
+KDE_RELEASE_SERVICE="true"
+KDE_ORG_CATEGORY="sdk"
+KDE_ORG_NAME="dolphin-plugins"
+MY_PLUGIN_NAME="mountiso"
+PVCUT=20.04.1 # TODO: back to $(ver_cut 1-3) after first release
+KFMIN=5.70.0
+QTMIN=5.14.1
+inherit ecm kde.org
+
+DESCRIPTION="Dolphin plugin for ISO loopback device mounting"
+HOMEPAGE="https://kde.org/applications/system/org.kde.dolphin_plugins";
+
+LICENSE="GPL-2" # TODO: CHECK
+SLOT="5"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="
+       >=dev-qt/qtdbus-${QTMIN}:5
+       >=dev-qt/qtgui-${QTMIN}:5
+       >=dev-qt/qtwidgets-${QTMIN}:5
+       >=kde-apps/dolphin-${PVCUT}:5
+       >=kde-frameworks/kcompletion-${KFMIN}:5
+       >=kde-frameworks/kconfig-${KFMIN}:5
+       >=kde-frameworks/kcoreaddons-${KFMIN}:5
+       >=kde-frameworks/ki18n-${KFMIN}:5
+       >=kde-frameworks/kio-${KFMIN}:5
+       >=kde-frameworks/ktextwidgets-${KFMIN}:5
+       >=kde-frameworks/solid-${KFMIN}:5
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       ecm_src_prepare
+       # kxmlgui, qtnetwork only required by dropbox
+       ecm_punt_bogus_dep Qt5 Network
+       ecm_punt_bogus_dep KF5 XmlGui
+       # delete non-${PN} translations
+       if [[ ${KDE_BUILD_TYPE} = release ]]; then
+               find po -type f -name "*po" -and -not -name 
"*${MY_PLUGIN_NAME}plugin" -delete || die
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_${MY_PLUGIN_NAME}=ON
+               -DBUILD_bazaar=OFF
+               -DBUILD_dropbox=OFF
+               -DBUILD_git=OFF
+               -DBUILD_hg=OFF
+               -DBUILD_svn=OFF
+       )
+       ecm_src_configure
+}
+
+src_install() {
+       ecm_src_install
+       rm "${D}"/usr/share/metainfo/org.kde.dolphin-plugins.metainfo.xml || die
+}

diff --git a/app-cdr/dolphin-plugins-mountiso/metadata.xml 
b/app-cdr/dolphin-plugins-mountiso/metadata.xml
new file mode 100644
index 0000000000..2fdbf33d96
--- /dev/null
+++ b/app-cdr/dolphin-plugins-mountiso/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo KDE Project</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to